<?php




namespace app\common\model\system;


use app\common\model\BaseModel;

/**
 * Class Cache
 * @package app\common\model\system
 * @author zfy
 * @day 2020-04-24
 */
class Cache extends BaseModel
{

    /**
     * @return string
     * @author zfy
     * @day 2020-03-30
     */
    public static function tablePk(): string
    {
        return 'key';
    }

    /**
     * @return string
     * @author zfy
     * @day 2020-03-30
     */
    public static function tableName(): string
    {
        return 'cache';
    }

    /**
     * @param $val
     * @return false|string
     * @author zfy
     * @day 2020-04-24
     */
    public function setResultAttr($val)
    {
        return json_encode($val);
    }

    /**
     * @param string $val
     * @return mixed
     * @author zfy
     * @day 2020-04-24
     */
    public function getResultAttr($val)
    {
        return json_decode($val, true);
    }
}